Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

Rotate pages of a draft PDF

POST/documents/pdf/rotate
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Request body
requiredapplication/json
idstringrequired
degreesintegerrequired
Allowed:90180270
pagesinteger[]

1-based page list; omit for all pages

Responses
200

Rotated — new storage_id

404

Resource not found

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST "https://api.seal.nyc/api/v1/documents/pdf/rotate" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "string",
  "degrees": 90,
  "pages": [
    1
  ]
}'
Response
Rotated — new storage_id